%define Name kdestart
%define Version 1.0
%define KDE-Root /opt/kde

Summary     	: Startup skript and kdeinitrc for the K Desktop Environment.
Name        	: %{Name}
Version     	: %{Version}
Release     	: 2
Group       	: System/Desktop

Copyright   	: The KDE-Team, GPL
Packager    	: sp@caldera.de (Stefan Probst)
Icon        	: kde.gif
URL         	: http://www.kde.org

BuildRoot       : /tmp/%{Name}-%{Version}

Source0		: kdeinitrc
Source1		: kde


%description
Replacement for startx and xinitrc to start KDE in a convenient way.
You have to use the 'kde' command instead of 'startx' to start KDE.



%install
DESTDIR=$RPM_BUILD_ROOT; export DESTDIR
[ -n "`echo $DESTDIR | sed -n 's:^/tmp/[^.].*$:OK:p'`" ] && rm -rf $DESTDIR ||
(echo "Invalid BuildRoot: '$DESTDIR'! Check this .spec ..."; exit 1) || exit 1

# install kde and kdeinitrc
install -d $DESTDIR/etc/X11/xinit 
install -d $DESTDIR/opt/kde/bin
install -o root -g root -m 755 %{SOURCE0} $DESTDIR/etc/X11/xinit 
install -o root -g root -m 755 %{SOURCE1} $DESTDIR/opt/kde/bin


%clean
DESTDIR=$RPM_BUILD_ROOT;export DESTDIR;[ -n "$UID" ]&&[ "$UID" -gt 0 ]&&exit 0
[ -n "`echo $DESTDIR | sed -n 's:^/tmp/[^.].*$:OK:p'`" ] && rm -rf $DESTDIR ||
(echo "Invalid BuildRoot: '$DESTDIR'! Check this .spec ..."; exit 1) || exit 1


%files 
/etc/X11/xinit/kdeinitrc
/opt/kde/bin/kde


%changelog
* Tue Jul 28 1998 Andrea Borgia <borgia@cs.unibo.it>
- fixed tags starting with caps

* Mon Jan 01 1997 ...
Template Version: 1.21

$Id: kdestart.spec,v 1.2 1998/07/11 17:39:12 sp Exp $
